### Method

# GcrUi CollectionModel set_columns

#### Declaration [src]

    guint
    gcr_collection_model_set_columns (
      GcrCollectionModel* self,
      const GcrColumn* columns
    )

#### Description [src]

Set the columns that the model should contain. `columns` is an array of `GcrColumn` structures, with the last one containing `NULL` for all values.

This function can only be called once, and only if the model was not created without a set of columns. This function cannot be called after the model has been added to a view.

The columns are accessed as static data. They should continue to remain in memory for longer than the GcrCollectionModel object.

This method is not directly available to language bindings.

#### Parameters

`columns` | `GcrColumn`
| The columns the model should contain.
| The data is owned by the caller of the function.

#### Return value

Returns: | `guint`
| The number of columns.